#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	Monitoring
%define	pnam	Plugin
%include	/usr/lib/rpm/macros.perl
Summary:	Monitoring::Plugin - A family of Perl modules to streamline writing Monitoring plugins
Summary(pl.UTF-8):	Monitoring::Plugin - rodzina modułów Perla ułatwiająca pisanie wtyczek Monitoringa
Name:		perl-Monitoring-Plugin
Version:	0.39
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/N/NI/NIERLEIN/Monitoring-Plugin-%{version}.tar.gz
# Source0-md5:	c786ada6289bda2c4380d3df3b5185d5
URL:		http://search.cpan.org/dist/Monitoring-Plugin/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More) >= 0.62
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-Config-Tiny
BuildRequires:	perl-Math-Calc-Units
BuildRequires:	perl-Params-Validate
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Monitoring::Plugin and its associated Monitoring::Plugin::* modules
are a family of Perl modules to streamline writing Monitoring plugins.
The main end user modules are Monitoring::Plugin, providing an
object-oriented interface to the entire Monitoring::Plugin::*
collection, and Monitoring::Plugin::Functions, providing a simpler
functional interface to a useful subset of the available
functionality.

The purpose of the collection is to make it as simple as possible for
developers to create plugins that conform the Monitoring Plugin
guidelines <https://www.monitoring-plugins.org/doc/guidelines.html>.

%description -l pl.UTF-8
Monitoring::Plugin i związane z nim moduły Monitoring::Plugin::* to
rodzina modułów Perla ułatwiająca pisanie wtyczek Monitoringa. Główne
moduły dla użytkownika końcowego to Monitoring::Plugin, udostępniający
zorientowany obiektowo interfejs do całej kolekcji
Monitoring::Plugin::*, oraz Monitoring::Plugin::Functions,
udostępniający prostszy, funkcyjny interfejs do przydatnego podzbioru
dostępnej funkcjonalności.

Celem tej kolekcji jest jak największe ułatwienie programistom
tworzenia wtyczek zgodnych z zaleceniami dla wtyczek Monitoringa:
<https://www.monitoring-plugins.org/doc/guidelines.html>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p t/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Monitoring
%{perl_vendorlib}/Monitoring/*.pm
%{perl_vendorlib}/Monitoring/Plugin
%{_mandir}/man3/Monitoring::Plugin*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Monitoring-Plugin.git;a=log;h=master

* Mon Sep 21 2015 Elan Ruusamäe <glen@delfi.ee> 0e502f4
- package example

* Thu Sep 17 2015 Elan Ruusamäe <glen@delfi.ee> a10ea22
- 0.39 (11th April 2015)

* Wed Dec 31 2014 Elan Ruusamäe <glen@delfi.ee> 96db964
- v0.38 28th December 2014:
- fix getopt test on windows system

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 38563d8
- rename to Monitoring::Plugin, update to 0.37

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> c869517
- up to 0.36

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 86be7cc
- updated to 0.33

* Mon Feb 09 2009 Elan Ruusamäe <glen@pld-linux.org> dd86379
- update to 0.31

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 180b82f
- pl, use package names where available

* Mon Mar 24 2008 Elan Ruusamäe <glen@pld-linux.org> 9f2c46e
- use base ... not catched by perl autodeps

* Mon Mar 24 2008 Elan Ruusamäe <glen@pld-linux.org> 215da35
- missing dir

* Fri Jan 04 2008 Elan Ruusamäe <glen@pld-linux.org> 93559fe
- created with pldcpan

